package com.prolog.rdc.tms.util;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 *
 * 注解，用于从要查询的类中，提取属性、名称、
 *
 *
 * @className: QueryInfo
 * @author: kh
 * @creationTime: 2022/1/20 12:03
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.TYPE, ElementType.FIELD })
public @interface QueryInfo {
	/*
	 * 属性名称
	 */
	String name() default "";

	/*
	 * 如果为空，取字段
	 */
	String column() default "";

	/*
	 * 下拉字典编码
	 */
	String dict() default "";

	/*
	 * 是否主键
	 */
	boolean id() default false;

	/*
	 * 表名称
	 */
	String table() default "";

	/*
	 * 是否显示在页面
	 */
	boolean isShown() default true;

	/*
	 * 是否必须条件
	 */
	boolean isMust() default false;

	/*
	 * 说明
	 */
	String note() default "";
}
